DevExtreme jQuery/JS - Control the Behavior

The DateBox widget allows an end user to pick or type a value. To specify whether the value should be applied instantly or when a user clicks the Done button, set the applyValueMode option. Note that this option takes effect only when the pickerType is "calendar" or "list".

JavaScript
  • $(function() {
  • $("#dateBoxContainer").dxDateBox({
  • value: new Date(),
  • type: "date",
  • pickerType: "calendar",
  • applyValueMode: "useButtons" // or "instantly"
  • });
  • });
See Also

DevExtreme React - Control the Behavior

The DateBox widget allows an end user to pick or type a value. To specify whether the value should be applied instantly or when a user clicks the Done button, set the applyValueMode option. Note that this option takes effect only when the pickerType is "calendar" or "list".

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import DateBox from 'devextreme-react/date-box';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • constructor(props);
  •  
  • this.date = new Date();
  • }
  •  
  • render() {
  • return (
  • <DateBox
  • defaultValue={this.date}
  • type="date"
  • pickerType="calendar"
  • applyValueMode="useButtons" {/* or "instantly" */}
  • />
  • );
  • }
  • }
  • export default App;
See Also